<?php
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the contact plugin
	 */
	class AdminContactPluginSettingsView extends AdminPluginTemplatedView
	{
		function AdminContactPluginSettingsView($blogInfo){
			$this->AdminPluginTemplatedView($blogInfo, "contact", "pluginsettings");
		}
		
		function render(){
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$this->setValue( "pluginEnabled", $blogSettings->getValue("plugin_contact_enabled"));
			$this->setValue( "bannedKeywords", $blogSettings->getValue("plugin_contact_banned_keywords");
			parent::render();
		}
	}
?>
